<?php
namespace Aws\Inspector;

use Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Inspector** service.
 *
 * @method \Aws\Result addAttributesToFindings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise addAttributesToFindingsAsync(array $args = [])
 * @method \Aws\Result attachAssessmentAndRulesPackage(array $args = [])
 * @method \GuzzleHttp\Promise\Promise attachAssessmentAndRulesPackageAsync(array $args = [])
 * @method \Aws\Result createApplication(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createApplicationAsync(array $args = [])
 * @method \Aws\Result createAssessment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createAssessmentAsync(array $args = [])
 * @method \Aws\Result createResourceGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createResourceGroupAsync(array $args = [])
 * @method \Aws\Result deleteApplication(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteApplicationAsync(array $args = [])
 * @method \Aws\Result deleteAssessment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteAssessmentAsync(array $args = [])
 * @method \Aws\Result deleteRun(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteRunAsync(array $args = [])
 * @method \Aws\Result describeApplication(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeApplicationAsync(array $args = [])
 * @method \Aws\Result describeAssessment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeAssessmentAsync(array $args = [])
 * @method \Aws\Result describeCrossAccountAccessRole(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeCrossAccountAccessRoleAsync(array $args = [])
 * @method \Aws\Result describeFinding(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeFindingAsync(array $args = [])
 * @method \Aws\Result describeResourceGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeResourceGroupAsync(array $args = [])
 * @method \Aws\Result describeRulesPackage(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeRulesPackageAsync(array $args = [])
 * @method \Aws\Result describeRun(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeRunAsync(array $args = [])
 * @method \Aws\Result detachAssessmentAndRulesPackage(array $args = [])
 * @method \GuzzleHttp\Promise\Promise detachAssessmentAndRulesPackageAsync(array $args = [])
 * @method \Aws\Result getAssessmentTelemetry(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getAssessmentTelemetryAsync(array $args = [])
 * @method \Aws\Result listApplications(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listApplicationsAsync(array $args = [])
 * @method \Aws\Result listAssessmentAgents(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listAssessmentAgentsAsync(array $args = [])
 * @method \Aws\Result listAssessments(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listAssessmentsAsync(array $args = [])
 * @method \Aws\Result listAttachedAssessments(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listAttachedAssessmentsAsync(array $args = [])
 * @method \Aws\Result listAttachedRulesPackages(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listAttachedRulesPackagesAsync(array $args = [])
 * @method \Aws\Result listFindings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listFindingsAsync(array $args = [])
 * @method \Aws\Result listRulesPackages(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listRulesPackagesAsync(array $args = [])
 * @method \Aws\Result listRuns(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listRunsAsync(array $args = [])
 * @method \Aws\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \Aws\Result localizeText(array $args = [])
 * @method \GuzzleHttp\Promise\Promise localizeTextAsync(array $args = [])
 * @method \Aws\Result previewAgentsForResourceGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise previewAgentsForResourceGroupAsync(array $args = [])
 * @method \Aws\Result registerCrossAccountAccessRole(array $args = [])
 * @method \GuzzleHttp\Promise\Promise registerCrossAccountAccessRoleAsync(array $args = [])
 * @method \Aws\Result removeAttributesFromFindings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise removeAttributesFromFindingsAsync(array $args = [])
 * @method \Aws\Result runAssessment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise runAssessmentAsync(array $args = [])
 * @method \Aws\Result setTagsForResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise setTagsForResourceAsync(array $args = [])
 * @method \Aws\Result startDataCollection(array $args = [])
 * @method \GuzzleHttp\Promise\Promise startDataCollectionAsync(array $args = [])
 * @method \Aws\Result stopDataCollection(array $args = [])
 * @method \GuzzleHttp\Promise\Promise stopDataCollectionAsync(array $args = [])
 * @method \Aws\Result updateApplication(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateApplicationAsync(array $args = [])
 * @method \Aws\Result updateAssessment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateAssessmentAsync(array $args = [])
 */
class InspectorClient extends AwsClient {}
